﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MotorBoat
{
    internal class EntityMotorBoat
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; set; }

        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; set; }

        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; set; }

        /// <summary>
        /// Дополнительный цвет
        /// </summary>
        public Color AdditionalColor { get; set; }

        /// <summary>
        /// Шаг перемещения моторной лодки
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;

        /// <summary>
        /// Инициализация полей объекта-класса моторной лодки
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес катера</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>

        public void Init(int speed, double weight, Color bodyColor, Color additionalColor)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
        }
    }
}
